Skip to Content
veriom

Get intent assessment

GET
/v1/workspaces/{workspace_id}/architecture-intent/comparisons/{comparison_id}/assessment

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
comparison_id*Comparison Id
Formatuuid

Response Body

Successful Response

application/json
  1. response
comparison_id*Comparison Id
Formatuuid
coverage_scope?|null
element_names*
evidence?array<>
intent_title*Intent Title
maximum_age_seconds*Maximum Age Seconds
minimum_observed_confidence*|null
plans?array<>
published_number*Published Number
ratified_at*Ratified At
Formatdate-time
ratified_by_name*Ratified By Name
required_confidence*Required Confidence
Range0 <= value <= 1
result*
scope*
source_coverage*array<>
Example Request
curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/architecture-intent/comparisons/497f6eca-6276-4993-bfeb-53cbbbba6f08/assessment'
Example Response
{  "comparison_id": "3b27d395-1e6b-479b-baa5-81329cfca144",  "coverage_scope": {    "coverage_unknown_count": 0,    "eligible_covered_count": 0,    "eligible_element_count": 0,    "observed_element_count": 0  },  "element_names": {    "property1": "string",    "property2": "string"  },  "evidence": [    {      "attributes": {        "property1": "string",        "property2": "string"      },      "content_sha256": "string",      "evidence_kind": "string",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "location": {        "end_column": 1,        "end_line": 1,        "path": "string",        "start_column": 1,        "start_line": 1      },      "object": {        "attributes": {          "property1": "string",          "property2": "string"        },        "key": "string",        "kind": "repository",        "name": "string"      },      "observed_at": "2019-08-24T14:15:22Z",      "provider": "string",      "relationship_kind": "string",      "source_ref": "string",      "source_type": "code",      "subject": {        "attributes": {          "property1": "string",          "property2": "string"        },        "key": "string",        "kind": "repository",        "name": "string"      },      "summary": "string"    }  ],  "intent_title": "string",  "maximum_age_seconds": 0,  "minimum_observed_confidence": 0,  "plans": [    {      "baseline_progress": {        "checks": [          {            "criterion": {              "id": "string",              "predicate": {                "allowed_source_keys": [                  "string"                ],                "attribute": "string",                "expected": "string",                "key": "string",                "kind": "entity_present",                "relationship_kinds": [                  "string"                ],                "required_sources": [                  "code"                ]              },              "title": "string"            },            "result": {              "affected_keys": [                "string"              ],              "collection_refs": [                "string"              ],              "detail": "string",              "evidence_ids": [                "973ab5a6-b373-447d-ab9d-bdb660b35afc"              ],              "outcome": "holds"            }          }        ],        "evaluated_at": "2019-08-24T14:15:22Z",        "evidence": [          {            "attributes": {              "property1": "string",              "property2": "string"            },            "content_sha256": "string",            "evidence_kind": "string",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "location": {              "end_column": 1,              "end_line": 1,              "path": "string",              "start_column": 1,              "start_line": 1            },            "object": {              "attributes": {                "property1": "string",                "property2": "string"              },              "key": "string",              "kind": "repository",              "name": "string"            },            "observed_at": "2019-08-24T14:15:22Z",            "provider": "string",            "relationship_kind": "string",            "source_ref": "string",            "source_type": "code",            "subject": {              "attributes": {                "property1": "string",                "property2": "string"              },              "key": "string",              "kind": "repository",              "name": "string"            },            "summary": "string"          }        ],        "observed_at": "2019-08-24T14:15:22Z",        "progress": 0,        "satisfied": 0,        "snapshot_id": "163831af-8c1b-4992-a9cf-88c6306604c0",        "target_version_id": "8c1dbb08-33f5-4d58-8ec7-130ef36302b1",        "total": 1,        "unknown": 0,        "unknown_fraction": 0,        "verified_complete": true,        "violated": 0,        "weighting": "One equal share per distinct assertion; unknowns stay in the denominator."      },      "baseline_snapshot_id": "52737707-07c6-4939-8e33-14d360aab527",      "baseline_version_id": "c411484f-87ef-4e66-9c9d-aae059a6c1db",      "due_at": "2019-08-24T14:15:22Z",      "due_timezone": "string",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "owner_name": "string",      "progress": {        "checks": [          {            "criterion": {              "id": "string",              "predicate": {                "allowed_source_keys": [                  "string"                ],                "attribute": "string",                "expected": "string",                "key": "string",                "kind": "entity_present",                "relationship_kinds": [                  "string"                ],                "required_sources": [                  "code"                ]              },              "title": "string"            },            "result": {              "affected_keys": [                "string"              ],              "collection_refs": [                "string"              ],              "detail": "string",              "evidence_ids": [                "973ab5a6-b373-447d-ab9d-bdb660b35afc"              ],              "outcome": "holds"            }          }        ],        "evaluated_at": "2019-08-24T14:15:22Z",        "evidence": [          {            "attributes": {              "property1": "string",              "property2": "string"            },            "content_sha256": "string",            "evidence_kind": "string",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "location": {              "end_column": 1,              "end_line": 1,              "path": "string",              "start_column": 1,              "start_line": 1            },            "object": {              "attributes": {                "property1": "string",                "property2": "string"              },              "key": "string",              "kind": "repository",              "name": "string"            },            "observed_at": "2019-08-24T14:15:22Z",            "provider": "string",            "relationship_kind": "string",            "source_ref": "string",            "source_type": "code",            "subject": {              "attributes": {                "property1": "string",                "property2": "string"              },              "key": "string",              "kind": "repository",              "name": "string"            },            "summary": "string"          }        ],        "observed_at": "2019-08-24T14:15:22Z",        "progress": 0,        "satisfied": 0,        "snapshot_id": "163831af-8c1b-4992-a9cf-88c6306604c0",        "target_version_id": "8c1dbb08-33f5-4d58-8ec7-130ef36302b1",        "total": 1,        "unknown": 0,        "unknown_fraction": 0,        "verified_complete": true,        "violated": 0,        "weighting": "One equal share per distinct assertion; unknowns stay in the denominator."      },      "revision": 0,      "status": "planned",      "subject_keys": [        "string"      ],      "target_version_id": "8c1dbb08-33f5-4d58-8ec7-130ef36302b1",      "title": "string",      "verification_snapshot_id": "74f30134-8da5-4b8c-b107-2de86c3f7115",      "verified_at": "2019-08-24T14:15:22Z"    }  ],  "published_number": 0,  "ratified_at": "2019-08-24T14:15:22Z",  "ratified_by_name": "string",  "required_confidence": 0,  "result": {    "covered_element_count": 0,    "decisions": [      {        "checks": [          {            "affected_keys": [              "string"            ],            "collection_refs": [              "string"            ],            "detail": "string",            "evidence_ids": [              "973ab5a6-b373-447d-ab9d-bdb660b35afc"            ],            "outcome": "holds"          }        ],        "decision_id": "string",        "outcome": "accepted_by_design"      }    ],    "evaluated_at": "2019-08-24T14:15:22Z",    "evaluator_version": "1.0.0",    "expected_element_count": 0,    "findings": [      {        "collection_refs": [          "string"        ],        "decision_id": "string",        "detail": "string",        "drift_class": "unintended_presence",        "evidence_ids": [          "973ab5a6-b373-447d-ab9d-bdb660b35afc"        ],        "fingerprint": "string",        "first_observed_at": "2019-08-24T14:15:22Z",        "observed_at": "2019-08-24T14:15:22Z",        "plan_ids": [          "a42662e1-2be7-4ff1-add9-7e2508a85039"        ],        "retroactive": false,        "rule_id": "string",        "subject_keys": [          "string"        ],        "title": "string"      }    ],    "intent_content_sha256": "string",    "intent_coverage": 0,    "intent_version_id": "62989457-cfaa-4fbe-b5d4-02c9f2893753",    "observed_at": "2019-08-24T14:15:22Z",    "observed_element_count": 0,    "outcome": "aligned",    "satisfied_element_count": 0,    "schema_version": "intent-comparison-v1",    "scope_key": "string",    "truth_snapshot_id": "d3983c92-fcf9-4e2d-ae38-7a594c771cfa",    "uncertainty": [      {        "affected_keys": [          "string"        ],        "collection_refs": [          "string"        ],        "detail": "string",        "evidence_ids": [          "973ab5a6-b373-447d-ab9d-bdb660b35afc"        ],        "outcome": "holds"      }    ],    "unknown_element_count": 0  },  "scope": {    "branch_ref": "string",    "environment": "string",    "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3",    "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"  },  "source_coverage": [    {      "bounded": false,      "collection_refs": [        "string"      ],      "covered_key_prefixes": [        "string"      ],      "covered_keys": [        "string"      ],      "observed_at": "2019-08-24T14:15:22Z",      "scope_key": "string",      "source": "code",      "status": "complete"    }  ]}